
function CryptoHash() {
	
	//定数
	this.cryptor = Components.classes["@mozilla.org/security/hash;1"].createInstance(Components.interfaces.nsICryptoHash);
	this.MD2 = this.cryptor.MD2;
	this.MD5 = this.cryptor.MD5;
	this.SHA1 = this.cryptor.SHA1;
	this.SHA256 = this.cryptor.SHA256;
	
	//変数
	this.message = "";
	
	/**
	 * 
	 * @param {Object} data
	 * @param {Object} ascii
	 */
	this.calc = function(data, ascii) {
		
		this.cryptor.update(data, data.length);
		
		this.message = this.cryptor.finish(ascii);
	}
	
	/**
	 * 
	 * @param {Object} str
	 * @param {Object} charset
	 * @param {Object} ascii
	 */
	this.calcStr = function(str, charset, ascii) {
		var converter = Components.classes["@mozilla.org/intl/scriptableunicodeconverter"]
	                          .createInstance(Components.interfaces.nsIScriptableUnicodeConverter);
	
		converter.charset = charset;
		
		var result = {};
		
		var data = converter.convertToByteArray(str, result);
		
		this.calc(data, ascii);
	}
	
	/**
	 * 
	 * @param {Object} algo
	 */
	this.init = function(algo) {
		this.cryptor.init(algo);
	}
	
	/**
	 * 
	 */
	this.getMessage = function() {
		return this.message;
	}
	
	/**
	 * 
	 */
	this.getMessageAtHexStr = function() {
		var hexstr = "";
		
		for(var i = 0; i < this.message.length; i++) {
			var code  = this.message.charCodeAt(i);
			hexstr += ("0" + code.toString(16)).slice(-2);
		}
		
		return hexstr;
	}
}