
function endup() {
	try {
		var size = getThumbSize();
		setPref("moonfox.imgviewer.thumbsize", size);
		
		if(exitFlg) {
			setPref("moonfox.imgviewer.thread", "");
			setPref("moonfox.imgviewer.page", 1);
		}
	} catch(e) {
		alert(e);
	}
}

/*
 * ツールメニューの開くをクリック
 */
function openMenuItemClicked() {
	try {
		openDirectory();
	} catch(e) {
		alert(e);
	}
}

/*
 *
 */
function pageComboChanged(cbo) {
	try {
		var newPage = parseInt(cbo.value);
		
		if(newPage != currentPage) {
			setPref("moonfox.imgviewer.page", newPage);
			exitFlg = false;
			window.location.reload();
		}
	} catch(e) {
		alert(e);
	}
}

/*
 * 初期処理
 */
function startup() {
	try {
		if(startFlg)
			return;
		
		startFlg = true;
		
		//設定読込
		maxThumbNumPerPage = getPref("moonfox.imgviewer.max_thumb_num_per_page");
		onceLoadImageNum = getPref("moonfox.imgviewer.once_load_num");
		loadedImageAndShow = getPref("moonfox.imgviewer.load_and_show");
		
		currentPage = getPref("moonfox.imgviewer.page");
		var selectedThreadName = getPref("moonfox.imgviewer.thread");
		
		var thumbSize = getPref("moonfox.imgviewer.thumbsize");
		var maxThumbSize = getPref("moonfox.imgviewer.max_thumbsize");
		var bar = document.getElementById("scrollbar_thumbsize");
		bar.setAttribute("curpos", thumbSize);
		bar.setAttribute("maxpos", maxThumbSize);
		var label = document.getElementById("label_thumbsize");
		label.setAttribute("value", thumbSize);
		
		//スレッドリストを取得
		//threadFileList = getThreadListFiles();
		
		//構築
		selectedThread = new CacheFile(selectedThreadName);
		constructThreadPopup();
		constructPageCombo();
		constructThumbnail();
		
		
		setInterval("checkSize()", 2000);
	} catch(e) {
		alert(e);
	}
}

function test() {
	try {
		var iframe = document.getElementById("iframe_thumb");
		//iframe.contentWindow.location.href = "about:blank";
		self.iframe_thumb.endup();
	} catch(e) {
		alert(e);
	}
}

function threadMenuItemClicked(item) {
	try {//alert(thread);
		setPref("moonfox.imgviewer.thread", item.value);
		setPref("moonfox.imgviewer.page", 1);
		exitFlg = false;
		window.location.reload();
	} catch(e) {
		alert(e);
	}
}


function thumbScrollbarChanged(bar) {
	try {
		var size = getThumbSize();
		
		configThumbPosition();
		
		var label = document.getElementById("label_thumbsize");
		label.setAttribute("value", size);
	} catch(e) {
		alert(e);
	}
}